import java.util.Date
import java.text.SimpleDateFormat
plugins {
    id("com.android.application")
    id("org.jetbrains.kotlin.android")
    id("com.google.gms.google-services")
    id("com.google.firebase.crashlytics")
}

val timestamp = SimpleDateFormat("MM_dd_HH_mm").format(Date())
android {
    namespace = "com.prankapp.fartsounds.airhorn"
    compileSdk = 34

    defaultConfig {
        applicationId = "com.prankapp.fartsounds.airhorn"
        minSdk = 23
        targetSdk = 34
        versionCode = 3
        versionName = "1.2"

        setProperty("archivesBaseName", "Prank App_V" + versionName + "(${versionCode})_$timestamp")
        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }
    //prank01 prank prank123
    buildTypes {
        release {
            isMinifyEnabled = true
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_17
        targetCompatibility = JavaVersion.VERSION_17
    }
}

dependencies {

    implementation("androidx.core:core-ktx:1.9.0")
    implementation("androidx.appcompat:appcompat:1.6.1")
    implementation("com.google.android.material:material:1.8.0")
    implementation("androidx.constraintlayout:constraintlayout:2.1.4")
    implementation("androidx.swiperefreshlayout:swiperefreshlayout:1.1.0")
    testImplementation("junit:junit:4.13.2")
    androidTestImplementation("androidx.test.ext:junit:1.1.5")
    androidTestImplementation("androidx.test.espresso:espresso-core:3.5.1")

    implementation("com.google.code.gson:gson:2.8.6")

    implementation("com.github.CymChad:BaseRecyclerViewAdapterHelper:2.9.47")

    implementation("com.github.bumptech.glide:glide:4.16.0")
    implementation("me.drakeet.materialdialog:library:1.3.1")

    annotationProcessor("com.github.bumptech.glide:compiler:4.16.0")
    implementation("com.github.ForgetAll:LoadingDialog:v1.1.2")

    implementation("com.alibaba:fastjson:1.2.70")


    implementation(platform("com.google.firebase:firebase-bom:33.1.1"))
    implementation("com.google.firebase:firebase-crashlytics")
    implementation("com.google.firebase:firebase-analytics")


    //-----------------------------TopOn 聚合（mintegral、unityads、liftoff(vungle)、Bigo）
    //Anythink (Necessary)
    implementation("com.anythink.sdk:core-tpn:6.3.68")
    implementation("com.anythink.sdk:nativead-tpn:6.3.68")
    implementation("com.anythink.sdk:banner-tpn:6.3.68")
    implementation("com.anythink.sdk:interstitial-tpn:6.3.68")
    implementation("com.anythink.sdk:rewardedvideo-tpn:6.3.68")
    implementation("com.anythink.sdk:splash-tpn:6.3.68")

    //Androidx (Necessary)
    implementation("androidx.appcompat:appcompat:1.1.0")
    implementation("androidx.browser:browser:1.4.0")

    //Vungle
    implementation("com.anythink.sdk:adapter-tpn-vungle:6.3.68")
    implementation("com.vungle:vungle-ads:7.3.2")
    implementation("com.google.android.gms:play-services-basement:18.1.0")
    implementation("com.google.android.gms:play-services-ads-identifier:18.0.1")

    //UnityAds
    implementation("com.anythink.sdk:adapter-tpn-unityads:6.3.68")
    implementation("com.unity3d.ads:unity-ads:4.9.3")

    //Bigo
    implementation("com.anythink.sdk:adapter-tpn-bigo:6.3.68")
    implementation("com.bigossp:bigo-ads:4.7.4")

    //Mintegral
    implementation("com.anythink.sdk:adapter-tpn-mintegral-nonchina:6.3.68")
    implementation("com.mbridge.msdk.oversea:reward:16.7.51")
    implementation("com.mbridge.msdk.oversea:newinterstitial:16.7.51")
    implementation("com.mbridge.msdk.oversea:mbnative:16.7.51")
    implementation("com.mbridge.msdk.oversea:mbnativeadvanced:16.7.51")
    implementation("com.mbridge.msdk.oversea:mbsplash:16.7.51")
    implementation("com.mbridge.msdk.oversea:mbbanner:16.7.51")
    implementation("com.mbridge.msdk.oversea:mbbid:16.7.51")
    implementation("androidx.recyclerview:recyclerview:1.1.0")

    //Tramini
    implementation("com.anythink.sdk:tramini-plugin-tpn:6.3.68")
    //-----------------------------TopOn 聚合


    // Debugger UI Tools
//    implementation ("com.anythink.sdk:debugger-ui:1.0.7")


}